diff -ruN ../base/src/test/regress/expected/without_oid.out src/test/regress/expected/without_oid.out
--- ../base/src/test/regress/expected/without_oid.out	1970-01-01 01:00:00.000000000 +0100
+++ src/test/regress/expected/without_oid.out	2002-07-10 23:53:44.000000000 +0200
@@ -0,0 +1,38 @@
+--
+-- WITHOUT OID
+--
+CREATE TABLE wi (i INT);
+CREATE TABLE wo (i INT) WITHOUT OIDS;
+INSERT INTO wi VALUES (1);  -- 1
+INSERT INTO wo SELECT i FROM wi;  -- 1
+INSERT INTO wo SELECT i+1 FROM wi;  -- 1+1=2
+INSERT INTO wi SELECT i+1 FROM wo;  -- 1+2=3
+INSERT INTO wi SELECT i+3 FROM wi;  -- 3+3=6
+INSERT INTO wo SELECT i+2 FROM wi;  -- 2+6=8
+INSERT INTO wo SELECT i+8 FROM wo;  -- 8+8=16
+INSERT INTO wi SELECT i+6 FROM wo;  -- 6+16=22
+INSERT INTO wi SELECT i+22 FROM wi;  -- 22+22=44
+INSERT INTO wo SELECT i+16 FROM wi;  -- 16+44=60
+INSERT INTO wo SELECT i+60 FROM wo;  -- 60+60=120
+INSERT INTO wi SELECT i+44 FROM wo;  -- 44+120=164
+INSERT INTO wi SELECT i+164 FROM wi;  -- 164+164=328
+INSERT INTO wo SELECT i+120 FROM wi;  -- 120+328=448
+INSERT INTO wo SELECT i+448 FROM wo;  -- 448+448=896
+INSERT INTO wi SELECT i+328 FROM wo;  -- 328+896=1224
+INSERT INTO wi SELECT i+1224 FROM wi;  -- 1224+1224=2448
+INSERT INTO wo SELECT i+896 FROM wi;  -- 896+2448=3344
+INSERT INTO wo SELECT i+3344 FROM wo;  -- 3344+3344=6688
+INSERT INTO wi SELECT i+2448 FROM wo;  -- 2448+6688=9136
+INSERT INTO wo SELECT i+6688 FROM wi WHERE i<=2448;  -- 6688+2448=9136
+VACUUM ANALYZE wi;
+VACUUM ANALYZE wo;
+SELECT min(relpages) < max(relpages), min(reltuples) - max(reltuples)
+  FROM pg_class
+ WHERE relname IN ('wi', 'wo');
+ ?column? | ?column? 
+----------+----------
+ t        |        0
+(1 row)
+
+DROP TABLE wi;
+DROP TABLE wo;
diff -ruN ../base/src/test/regress/parallel_schedule src/test/regress/parallel_schedule
--- ../base/src/test/regress/parallel_schedule	2002-06-21 02:12:33.000000000 +0200
+++ src/test/regress/parallel_schedule	2002-07-10 23:29:32.000000000 +0200
@@ -75,3 +75,5 @@
 # ----------
 # "plpgsql" cannot run concurrently with "rules"
 test: limit plpgsql temp domain rangefuncs
+
+test: without_oid
diff -ruN ../base/src/test/regress/serial_schedule src/test/regress/serial_schedule
--- ../base/src/test/regress/serial_schedule	2002-06-21 02:12:33.000000000 +0200
+++ src/test/regress/serial_schedule	2002-07-10 23:31:16.000000000 +0200
@@ -83,3 +83,4 @@
 test: temp
 test: domain
 test: rangefuncs
+test: without_oid
diff -ruN ../base/src/test/regress/sql/without_oid.sql src/test/regress/sql/without_oid.sql
--- ../base/src/test/regress/sql/without_oid.sql	1970-01-01 01:00:00.000000000 +0100
+++ src/test/regress/sql/without_oid.sql	2002-07-10 23:54:13.000000000 +0200
@@ -0,0 +1,35 @@
+--
+-- WITHOUT OID
+--
+
+CREATE TABLE wi (i INT);
+CREATE TABLE wo (i INT) WITHOUT OIDS;
+INSERT INTO wi VALUES (1);  -- 1
+INSERT INTO wo SELECT i FROM wi;  -- 1
+INSERT INTO wo SELECT i+1 FROM wi;  -- 1+1=2
+INSERT INTO wi SELECT i+1 FROM wo;  -- 1+2=3
+INSERT INTO wi SELECT i+3 FROM wi;  -- 3+3=6
+INSERT INTO wo SELECT i+2 FROM wi;  -- 2+6=8
+INSERT INTO wo SELECT i+8 FROM wo;  -- 8+8=16
+INSERT INTO wi SELECT i+6 FROM wo;  -- 6+16=22
+INSERT INTO wi SELECT i+22 FROM wi;  -- 22+22=44
+INSERT INTO wo SELECT i+16 FROM wi;  -- 16+44=60
+INSERT INTO wo SELECT i+60 FROM wo;  -- 60+60=120
+INSERT INTO wi SELECT i+44 FROM wo;  -- 44+120=164
+INSERT INTO wi SELECT i+164 FROM wi;  -- 164+164=328
+INSERT INTO wo SELECT i+120 FROM wi;  -- 120+328=448
+INSERT INTO wo SELECT i+448 FROM wo;  -- 448+448=896
+INSERT INTO wi SELECT i+328 FROM wo;  -- 328+896=1224
+INSERT INTO wi SELECT i+1224 FROM wi;  -- 1224+1224=2448
+INSERT INTO wo SELECT i+896 FROM wi;  -- 896+2448=3344
+INSERT INTO wo SELECT i+3344 FROM wo;  -- 3344+3344=6688
+INSERT INTO wi SELECT i+2448 FROM wo;  -- 2448+6688=9136
+INSERT INTO wo SELECT i+6688 FROM wi WHERE i<=2448;  -- 6688+2448=9136
+VACUUM ANALYZE wi;
+VACUUM ANALYZE wo;
+SELECT min(relpages) < max(relpages), min(reltuples) - max(reltuples)
+  FROM pg_class
+ WHERE relname IN ('wi', 'wo');
+
+DROP TABLE wi;
+DROP TABLE wo;
